//
//	File: AMTE.r
//	Project: Moonbase Engine
//	Copyright: (c) 1996 Moonbase Enterprises Pty Ltd (ACN 072 298 554)
//

#include "SysTypes.r"
#include "Types.r"

include $$Shell("keyMoonbaseEngine")"MoonbaseEngine.rsrc";

include $$Shell("keyEngine")"Engine.rsrc";
include $$Shell("keyRuntime")"Runtime.rsrc";

resource 'vers' (1, purgeable) {
	0x01,
	0x02,
	release,
	0x00,
	verUs,
	"1.2",
	"Moonbase Engine 1.2  1996 \nMoonbase Enterprises Pty Ltd \n(ACN 072 298 554) \nAll Rights Reserved"
};

resource 'vers' (2, purgeable) {
	0x02,
	0x00,
	release,
	0x00,
	verUs,
	"2.0",
	"Apple Media Tool 2.0"
};

#include "AETypes.r"

resource 'aete' (0) {
	0x1,
	0x0,
	english,
	roman,
	{	
	"Moonbase Engine Suite", 
	"Terms for Moonbase Engine", 
	'AMTE', 1, 1,
	{	/* array Events: 0 elements */
	},
	{	/* array Classes: 0 elements */
		"document info", '????', "A record containing information about a document",
		{
			"scrollbar index", 'PSBI', 'long', "1 to 3", ReadWrite, Singular,
			"controller index", 'PCBI', 'long', "1 to 3", ReadWrite, Singular,
			"enabled cursor index", 'PECI', 'long', "1 to 4", ReadWrite, Singular,
			"disabled cursor index", 'PDCI', 'long', "1 to 4", ReadWrite, Singular,
			"loading cursor index", 'PLCI', 'long', "1 to 4", ReadWrite, Singular,
			"use palette", 'PUPA', 'bool', "", ReadWrite, Singular
		},
		{
		},
		"movie media info", '????', "A record containing information about a movie media",
		{
			"looping", 'PLOO', 'bool', "", ReadWrite, Singular
		},
		{
		},
		"picture media info", '????', "A record containing information about a picture media",
		{
			"buffered", 'PBUF', 'bool', "", ReadWrite, Singular,
			"transparent", 'PTRA', 'bool', "", ReadWrite, Singular,
			"red", 'PRED', 'long', "0 to 255", ReadWrite, Singular,
			"green", 'PGRE', 'long', "0 to 255", ReadWrite, Singular,
			"blue", 'PBLU', 'long', "0 to 255", ReadWrite, Singular
		},
		{
		},
		"picture flipbook media info", '????', "A record containing information about a picture flipbook media",
		{
			"transparent", 'PTRA', 'bool', "", ReadWrite, Singular,
			"red", 'PRED', 'long', "0 to 255", ReadWrite, Singular,
			"green", 'PGRE', 'long', "0 to 255", ReadWrite, Singular,
			"blue", 'PBLU', 'long', "0 to 255", ReadWrite, Singular,
			"frame count", 'PFRC', 'long', "", ReadWrite, Singular,
			"column count", 'PCOC', 'long', "", ReadWrite, Singular,
			"column width", 'PCOW', 'long', "pixels", ReadWrite, Singular,
			"row count", 'PROC', 'long', "", ReadWrite, Singular,
			"row height", 'PROH', 'long', "pixels", ReadWrite, Singular
		},
		{
		},
		"sound media info", '????', "A record containing information about a sound media",
		{
			"looping", 'PLOO', 'bool', "", ReadWrite, Singular
		},
		{
		},
		"empty object info", '????', "A record containing information about an empty object",
		{
			"duration", 'PDUR', 'long', "ticks", ReadWrite, Singular
		},
		{
		},
		"empty color object info", '????', "A record containing information about an empty color object",
		{
			"duration", 'PDUR', 'long', "ticks", ReadWrite, Singular,
			"red", 'PRED', 'long', "0 to 255", ReadWrite, Singular,
			"green", 'PGRE', 'long', "0 to 255", ReadWrite, Singular,
			"blue", 'PBLU', 'long', "0 to 255", ReadWrite, Singular
		},
		{
		},
		"picture object info", '????', "A record containing information about a picture object",
		{
			"duration", 'PDUR', 'long', "ticks", ReadWrite, Singular
		},
		{
		},
		"picture scroller object info", '????', "A record containing information about a picture scroller object",
		{
			"duration", 'PDUR', 'long', "ticks", ReadWrite, Singular,
			"vertical scrollbar", 'PVSC', 'bool', "", ReadWrite, Singular,
			"horizontal scrollbar", 'PHSC', 'bool', "", ReadWrite, Singular
		},
		{
		},
		"picture flipbook object info", '????', "A record containing information about a picture flipbook object",
		{
			"first frame", 'PFIR', 'long', "ticks", ReadWrite, Singular,
			"rhythm", 'PRYT', 'long', "ticks", ReadWrite, Singular,
			"looping", 'PLOO', 'bool', "", ReadWrite, Singular
		},
		{
		},
		"text object info", '????', "A record containing information about a text object",
		{
			"duration", 'PDUR', 'long', "ticks", ReadWrite, Singular,
			"transparent", 'PTRA', 'bool', "", ReadWrite, Singular,
			"red", 'PRED', 'long', "0 to 255", ReadWrite, Singular,
			"green", 'PGRE', 'long', "0 to 255", ReadWrite, Singular,
			"blue", 'PBLU', 'long', "0 to 255", ReadWrite, Singular
		},
		{
		},
		"text field object info", '????', "A record containing information about a text field object",
		{
			"duration", 'PDUR', 'long', "ticks", ReadWrite, Singular,
			"saveable", 'PSAV', 'bool', "", ReadWrite, Singular,
			"red", 'PRED', 'long', "0 to 255", ReadWrite, Singular,
			"green", 'PGRE', 'long', "0 to 255", ReadWrite, Singular,
			"blue", 'PBLU', 'long', "0 to 255", ReadWrite, Singular
		},
		{
		},
		"key down event info", '????', "A record containing information about a key down event",
		{
			"key", 'PKEY', 'TEXT', "", ReadWrite, Singular
		},
		{
		},
		"hot text event info", '????', "A record containing information about a hot text event",
		{
			"text to hit", 'PHOT', 'TEXT', "", ReadWrite, Singular
		},
		{
		},
		"go to time action info", '????', "A record containing information about a go to time action",
		{
			"time", 'PTIM', 'long', "ticks", ReadWrite, Singular
		},
		{
		},
		"run to time action info", '????', "A record containing information about a run to time action",
		{
			"time", 'PTIM', 'long', "ticks", ReadWrite, Singular
		},
		{
		},
		"find action info", '????', "A record containing information about a find action",
		{
			"text to find", 'PFIT', 'TEXT', "", ReadWrite, Singular
		},
		{
		},
		"move by action info", '????', "A record containing information about a move by action",
		{
			"x", 'PX  ', 'long', "pixels", ReadWrite, Singular,
			"y", 'PY  ', 'long', "pixels", ReadWrite, Singular
		},
		{
		},
		"move to action info", '????', "A record containing information about a move to action",
		{
			"x", 'PX  ', 'long', "pixels", ReadWrite, Singular,
			"y", 'PY  ', 'long', "pixels", ReadWrite, Singular
		},
		{
		},
		"set volume action info", '????', "A record containing information about a set volume action",
		{
			"volume index", 'PVOI', 'long', "0 to 8", ReadWrite, Singular,
			"volume sign", 'PVOS', 'long', "-1 to 1", ReadWrite, Singular
		},
		{
		},
		"set text action info", '????', "A record containing information about a set text action",
		{
			"text to set", 'PSET', 'TEXT', "", ReadWrite, Singular
		},
		{
		},
		"effect action info", '????', "A record containing information about an effect action",
		{
			"duration", 'PDUR', 'long', "ticks", ReadWrite, Singular
		},
		{
		},
		"sound interlude action info", '????', "A record containing information about a sound interlude action",
		{
			"kept", 'PKEP', 'bool', "", ReadWrite, Singular
		},
		{
		},
		
		// begin Moonbase Insert #1
		
		"scroll by action info", '????', "A record containing information about a scroll by action",
		{
			"x", 'PX  ', 'long', "pixels", ReadWrite, Singular,
			"y", 'PY  ', 'long', "pixels", ReadWrite, Singular,
		},
		{
		},
		"scroll to action info", '????', "A record containing information about a scroll to action",
		{
			"x", 'PX  ', 'long', "pixels", ReadWrite, Singular,
			"y", 'PY  ', 'long', "pixels", ReadWrite, Singular,
		},
		{
		},
		"scroll to cell action info", '????', "A record containing information about a scroll to cell action",
		{
			"x", 'PX  ', 'long', "cells", ReadWrite, Singular,
			"y", 'PY  ', 'long', "cells", ReadWrite, Singular,
		},
		{
		},
		"set duration action info", '????', "A record containing information about a set duration action",
		{
			"time", 'PTIM', 'long', "ticks", ReadWrite, Singular,
			"use maximum time", 'PUMA', 'bool', "", ReadWrite, Singular,
			"maximum time", 'PMAX', 'long', "ticks", ReadWrite, Singular
		},
		{
		},
		"step by time action info", '????', "A record containing information about a step by time action",
		{
			"time", 'PTIM', 'long', "ticks", ReadWrite, Singular
		},
		{
		}
		
		// end Moonbase Insert #1
	},
	{	/* array ComparisonOps: 0 elements */
	},
	{	/* array Enumerations: 5 elements */
		'&SUP',
		{
			"default", 'DEFA', "",
			"flipbook", 'FLIP', ""
		},
		'&CON',
		{
			"default", 'DEFA', ""
		},
		'&HAN',
		{
			"default", 'DEFA', "",
			"audio CD", 'CDDA', "",
			"color", 'COLO', "",
			"controller", 'CTRL', "",
			"flipbook", 'FLIP', "",
			"keyboard", 'KEYB', "",
			"movie controller", 'CMOV', "",
			"picture scroller", 'SPIC', "",
			"printer", 'PRNT', "",
			"text scroller", 'STEX', ""
		},
		'&REC',
		{
			"before display", 'OFSC', "",
			"after display", 'ONSC', "",
			"mouse down", 'MODO', "",
			"mouse moved", 'MOMO', "",
			"mouse up", 'MOUP', "",
			"mouse enter", 'MOEN', "",
			"mouse leave", 'MOLE', "",
			"finished", 'FINI', "",
			"key down", 'KEDO', "",
			"hot text", 'HTEX', ""
		},
		'&SEN',
		{
			"enable", 'ENAB', "",
			"enable disable", 'ENDI', "",
			"disable", 'DISA', "",
			"show", 'SHOW', "",
			"show hide", 'SHHI', "",
			"hide", 'HIDE', "",
			"start", 'STAR', "",
			"start stop", 'STST', "",
			"stop", 'STOP', "",
			"stop all", 'STAL', "",
			"go to beginning", 'GOBE', "",
			"go to end", 'GOEN', "",
			"go to time", 'GOTT', "",
			"run to time", 'RUNT', "",
			"find", 'FIND', "",
			"drag", 'DRAG', "",
			"move by", 'MOBY', "",
			"move to", 'MOTO', "",
			"scroll", 'SCRO', "",
			"refresh", 'REFR', "",
			"start ambient sound", 'STAA', "",
			"start stop ambient sound", 'STSA', "",
			"stop ambient sound", 'STOA', "",
			"print", 'PRNT', "",
			"set volume", 'SEVO', "",
			"set text", 'SETE', "",
			
			"horizontal comb", 'HOCO', "",
			"vertical comb", 'VECO', "",
			"wipe left", 'WILE', "",
			"wipe top", 'WITO', "",
			"wipe right", 'WIRI', "",
			"wipe bottom", 'WIBO', "",
			"wipe top left", 'WITL', "",
			"wipe top right", 'WITR', "",
			"wipe bottom left", 'WIBL', "",
			"wipe bottom right", 'WIBR', "",
			"iris close", 'IRCL', "",
			"iris open", 'IROP', "",
			"dissolve", 'DISS', "",
			"interlude duration", 'INDU', "",
			"interlude picture", 'INPI', "",
			"interlude sound", 'INSO', "",
		
			"go to", 'GOTO', "",
			"go back", 'BACK', "",
			"go back to root", 'ROOT', "",
			"go back to first", 'FIRS', "",
			"go back to second", 'SECO', "",
			"go back to third", 'THIR', "",
			"go back to fourth", 'FOUR', "",
			"go back to fifth", 'FIFT', "",
			"go back to sixth", 'SIXT', "",
			"go back to seventh", 'SEVE', "",
			"go back to eighth", 'EIGH', "",
			"go back to ninth", 'NINT', "",
			"quit", 'QUIT', "",
			
			// begin Moonbase Insert #2
			
			"scroll by", 'SCBY', "",
			"scroll to", 'SCTO', "",
			"scroll to cell", 'SCTC', "",
			"set duration", 'SEDU', "",
			"step by time", 'STBY', "",
			"use palette of", 'UPOF', "",
			"all links merge", 'ALKM', "",
			"pop link", 'POLK', "",
			"pop all links", 'PALK', "",
			"push link", 'PULK', ""
			
			// end Moonbase Insert #2
		}
	}
	
	}
};
